osgViewer::ScreenCaptureHandler::CaptureOperation Class Referenceabstract

`#include <ViewerEventHandlers>`

Inheritance diagram for osgViewer::ScreenCaptureHandler::CaptureOperation:

## Public Member Functions

virtual void | operator() (const osg::Image &image, const unsigned int context_id)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Abstract base class for what to do when a screen capture happens.

## Member Function Documentation

## operator()()

virtual void osgViewer::ScreenCaptureHandler::CaptureOperation::operator() | ( | const osg::Image & | image,
|  | const unsigned int | context_id )

pure virtual

Implemented in osgViewer::ScreenCaptureHandler::WriteToFile.

The documentation for this class was generated from the following file:

- osgViewer/ViewerEventHandlers